| Home | Libraries | People | FAQ | More

## Struct template convertible_to

boost::proto::convertible_to — For matching terminals that are convertible to a type.

## Synopsis

    // In header: <boost/proto/matches.hpp>

    template<typename T>
    struct convertible_to {
    };

## Description

Use `proto::convertible_to<>` to match a terminal that is convertible to some type. For example, the grammar `proto::terminal<proto::convertible_to<int> >` will match any terminal whose argument is convertible to an integer.